Bug 4712 - wishlist: mounting subdirectory from a share
wishlist: mounting subdirectory from a share
Status: RESOLVED FIXED
Product: CifsVFS
Classification: Unclassified
Component: user space tools
2.6
Other Linux
: P3 enhancement
: ---
Assigned To: Steve French
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-19 13:21 UTC by Debian samba package maintainers (PUBLIC MAILING LIST)
Modified: 2008-12-05 14:13 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Debian samba package maintainers (PUBLIC MAILING LIST) 2007-06-19 13:21:59 UTC
Hello,

runing Debian testing with kernel 2.6.18 and samba 3.0.25a:

# mount -t cifs -o username=noel //localhost/noel/debian /mnt/samba
Password:
# df
...
//localhost/noel       5382836   4484636    898200  84% /mnt/samba

The subdirectory "debian" of the share "noel" is cut off without notice.

The request is to support this mounting of a subdirectory in a share.

Windows doesn't support this but I think it would be helpfull.

Thank you.
Comment 1 Debian samba package maintainers (PUBLIC MAILING LIST) 2007-06-29 16:06:06 UTC
From a discussion on IRC, AlexanderAlexander Bokovoy  Bokovoy mentioned that this feature has been recently added to the cifs kernel module.

Given the deprecated of smbfs, I think there's no chance that this bug is ever  fixed and I propose closing it as WONTFIX
Comment 2 Steve French 2008-12-05 14:13:29 UTC
prefixpath mount option (which is automatically added by reasonably current mount.cifs when a user mounts something li,ke //server/share/directory) is now available and should work fine since cifs version 1.52 ("cat /proc/fs/cifs/DebugData to see the cifs module's version)